# $Revision: 1.34 $, $Date: 2009/07/20 12:15:34 $
# TODO
# - user varnish
# - varnishlog initscript
# - debian/reload-vcl
Summary:	Varnish - a high-performance HTTP accelerator
Summary(pl.UTF-8):	Varnish - wydajny akcelerator HTTP
Name:		varnish
Version:	2.0.4
Release:	0.1
License:	BSD
Group:		Networking/Daemons/HTTP
Source0:	http://dl.sourceforge.net/varnish/%{name}-%{version}.tar.gz
# Source0-md5:	8044d59cb6d2ec6d09b7ae6033f06bbf
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.conf
Patch0:		%{name}-build.patch
URL:		http://www.varnish-cache.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	groff
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	ncurses-devel
Requires(post):	/sbin/ldconfig
Requires:	gcc
Requires:	glibc-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}

%description
The goal of the Varnish project is to develop a state-of-the-art,
high-performance HTTP accelerator.

Varnish is targeted primarily at the FreeBSD 6 and Linux 2.6
platforms, and will take full advantage of the advanced I/O features
offered by these operating systems.

%description -l pl.UTF-8
Celem projektu Varnish jest stworzenie wydajnego akceleratora HTTP.

Varnish jest tworzony głównie z myślą o platformach FreeBSD 6 i Linux
2.6 i będzie wykorzystywał w pełni zaawansowane możliwości we/we
oferowane przez te systemy operacyjne.

%package devel
Summary:	Header files for varnish library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki varnish
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for varnish library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki varnish.

%package static
Summary:	Static varnish library
Summary(pl.UTF-8):	Statyczna biblioteka varnish
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static varnish library.

%description static -l pl.UTF-8
Statyczna biblioteka varnish.

%prep
%setup -q
%patch0 -p1

%build
export CPPFLAGS="-I/usr/include/ncurses"
%{__aclocal}
%{__libtoolize}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
%ifarch hppa s390 sparc ppc
	--disable-jemalloc
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# make dirs after make install to know which ones needs spec and which ones make install
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,sysconfig},/var/{run,lib}/varnish}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/varnish
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/varnish
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/default.vcl

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add varnish
%service %{name} restart

%postun	-p /sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc LICENSE README ChangeLog
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/default.vcl
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/varnish
%attr(754,root,root) /etc/rc.d/init.d/varnish
%attr(755,root,root) %{_sbindir}/varnishd
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvarnish*.so.1
%attr(755,root,root) %ghost %{_libdir}/libvcl.so.1
/var/lib/varnish
/var/run/varnish
%{_mandir}/man1/*
%{_mandir}/man7/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/varnish
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: varnish.spec,v $
Revision 1.34  2009/07/20 12:15:34  glen
- disable ppc too: error: thread-local storage not supported for this target

Revision 1.33  2009/07/20 12:13:18  glen
- Disable jemalloc for architectures that lack *_2POW definitions (from debian bts #503381)

Revision 1.32  2009/04/02 20:16:11  areq
- 2.0.4

Revision 1.31  2009/02/16 23:42:06  zbyniu
- up to 2.0.3

Revision 1.30  2008/11/16 13:33:11  arekm
- some build fixes/hacks

Revision 1.29  2008/11/16 12:56:57  areq
- 2.0.2 NFY - problem with build

Revision 1.28  2008/10/25 16:10:46  blues
- HTTP group

Revision 1.27  2008-01-11 15:15:55  glen
- R: glibc-devel

Revision 1.26  2007-12-30 19:58:54  rotom
- 1.1.2

Revision 1.25  2007/08/22 21:22:42  adamg
- updated to 1.1.1; simplified %files

Revision 1.24  2007/07/02 21:58:33  glen
- rel 2

Revision 1.23  2007/07/02 17:27:58  glen
- todo update

Revision 1.22  2007/07/02 17:03:53  glen
- wikipedia says license is under a two-clause BSD license

Revision 1.21  2007/07/02 17:02:03  glen
- INSTALL is about compilation

Revision 1.20  2007/07/02 16:56:55  glen
- R: gcc to compile vcl rules

Revision 1.19  2007/07/02 16:53:30  glen
- use rpm macros for auto* tools

Revision 1.18  2007/07/02 16:50:33  glen
- fix vcl config

Revision 1.17  2007/07/02 16:46:39  glen
- rel 1.3

Revision 1.16  2007/07/02 11:52:30  glen
- add /var/run/varnish

Revision 1.15  2007/07/02 11:35:13  glen
- rel 1

Revision 1.14  2007/06/03 18:38:30  areq
- 1.0.4

Revision 1.13  2007/02/13 08:06:44  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.11  2006/12/03 21:51:33  blues
- wildcard lib

Revision 1.10  2006/12/01 09:12:33  glen
- add vcl.conf
- standard %config perms

Revision 1.9  2006/12/01 08:35:19  blues
- config is missing

Revision 1.8  2006/12/01 08:32:18  blues
- cosmetics

Revision 1.7  2006/11/28 23:29:09  qboosh
- pl, unified

Revision 1.6  2006/11/28 21:20:18  glen
- unify sf url

Revision 1.5  2006/11/26 23:55:06  darekr
- missing dir

Revision 1.4  2006/11/26 23:43:56  glen
- added initscripts
- libstd++-devel BR

Revision 1.3  2006/11/26 23:38:20  glen
- initscripts not present, cosmetics

Revision 1.2  2006/11/26 23:35:59  glen
- complete descriptions
- ncurses build fix

Revision 1.1  2006/11/26 23:33:20  glen
- new, based on bundled spec
